* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body{
  background-color: #161616;
}
ul{
  list-style: none;
}
a{
  text-decoration: none;
}
html{
  scroll-behavior: smooth;
}

/* HEADER */

header{
  width: 100%;
  height: 100vh;
  box-sizing: border-box;
  background-color: #f2f2f3;
  opacity: 0.75;
  position: relative;
  background-image: url("assets/Basecamp\ Jendral.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: right bottom;
}
nav{
  padding: 10px 70px;
  width: 100%;
  background-color: #838388;
  left: 0;
  top:0;
  z-index:10;
  text-align: center;
  display: flex;
  justify-content: space-between;
  align-items: center;
  letter-spacing: 2px;
  font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  width: 100%;
  box-sizing: border-box;
  box-shadow: 2px 2px 12px rgba(0,0,0, 0.1);
  z-index: 1;
}
header nav img{
  width: 190px;
  height: 60px;
}
.nav-center, .nav-right{
  display: flex;
}
.nav-right li, .nav-center li{
  padding: 0px 15px;
}
.nav-center li a{
  color: #FFFFFF;
  font-size: 18px;
  padding: 10px 30px;
  cursor: pointer;
  border: none;
  transition: all 0.3s ease 0s;
}
.nav-right li a{
  color: #5b5e66;
  font-size: 16px;
  padding: 15px 30px;
  background-color: rgb(223, 223, 223);
  border: none;
  border-radius: 50px;
  cursor: pointer;
  transition: all 0.3s ease 0s;
}
.nav-center li a:hover{
  background-color:  #17d1ac;
  color: #535353;
}
.nav-right li a:hover{
  background-color: #17d1ac;
}
.toggle-button {
  position: absolute;
  top: 1.5rem;
  right: 2rem;
  display: none;
  flex-direction: column;
  justify-content: space-between;
  width: 30px;
  height: 21px;
}
.toggle-button .bar {
  height: 3px;
  width: 100%;
  background-color: white;
  border-radius: 10px;
}
.main-section{
  font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  position: absolute;
  justify-content: center;
  text-align: center;
  left: 50%;
  top: 50%;
  background-color: rgba(0, 0, 0, 0.4);
  padding: 30px 50px;
  transform: translate(-50%, -50%);
  border-radius: 20px;
}
.main-section, .main-section, .details{
  color: #ffffff;
  font-size: 20px;
  margin-bottom: 30px;
  font-weight: bold;
}
.main-section h1{
  font-size: 50px;
  margin: 20px 0px;
  letter-spacing: 3px;
  color: #ffffff;
}
.main-section h2{
  font-size: 25px;
  letter-spacing: 1px;
  color: #ffffff;
}
.btn-wrapper{
  display: flex;
  width: 100%;
  justify-content: center;
  text-align: center;
}
.btn{
  width: 200px;
  height: 45px;
  padding: 10px 20px;
  justify-content: center;
  align-items: center;
  color: #FFFFFF;
}
.profile1, .portfolio1{
  margin-right: 30px;
}
.profile1:hover, .portfolio1:hover{
  background-color: #17d1ac;
  color: #000000;
  transition: all ease 0.5s;
}
.social{
  position: absolute;
  left: 50px;
  bottom: 50px;
  display: flex;
}
.social a{
  margin: 6px 12px;
}
.social i{
  color: rgba(223, 223, 223, 0.932);
  font-size: 20px;
}
.social a:hover i{
  color: #17d1ac;
  transition: all ease 0.5s;
}
/* END OF HEADER */

/* ABOUT SECTION */
#about{
  width: 100%;
  height: 100vh;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 50px 5% 0px 5%;
}
.about-text{
  font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  width: 50%;
}
.about-text h1{
  font-size: 4rem;
  color: #17d1ac;
}
.about-text h2{
  font-size: 3rem;
  color: #FFFFFF;
  font-weight: 400;
}
.about-text h1,h2{
  margin: 10px 0px;
  padding: 0px;
}
.about-text p{
  font-size: 1.2rem;
  color: rgba(251,251,251, 0.9);
}
.about-text button{
  width: 180px;
  height: 40px;
  margin-top: 20px;
  border-radius: 20px;
  border: none;
  outline: none;
  background-color: #17d1ac;
  cursor: pointer;
}
.about-text button:hover{
  background-color: #FFFFFF;
  transition: all ease 0.3s;
}
/* END ABOUT SECTION */

/* Responsive */
@media(max-width:1190px){
  #home{
    background-size: auto;
  }
  .main-section{
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
  }
  .about-logo img{
    height: 400px;
  }
}

@media(max-width:900px){
  #home{
    background-image: none !important;
  }
  nav{
    letter-spacing: 1px;
    padding: 10px 50px;
  }
  .main-section{
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
  }
  .about-logo{
    display: none;
  }
  #about{
    justify-content: center;
    padding-top: 0px;
  }
  .about-text{
    width: 90%;
  }
  .about-text h1{
    font-size: 4rem;
  }
}

@media(max-width:711px){
  nav{
    flex-direction: column;
    align-items: flex-start;
  }
  .toggle-button{
    display: flex;
    color: #161616;
  }
  .nav-center, .nav-right{
    display: none;
    width: 100%;
    flex-direction: column;
  }
}

@media(max-width:600px){
  .main-section h1{
    font-size: 25px;
  }
  .main-section{
    width: 60%;
  }
  .main-section h2, .main-section p{
    display: none;
  }
  .btn-wrapper{
    display: none;
  }
  .profile1, .portfolio1{
    margin-right: 5px;
  }
  .social{
    left: 50px;
    transform: translateX(-10px);
  }
}
@media(max-width:400px){
  nav{
    padding: 10px 10px;
  }
  .main-section{
    padding: 0px;
  }
}

@media(max-width:380px){
  .about-text h1{
    font-size: 3rem;
  }
  .about-text h2{
    font-size: 2rem;
  }
  .about-text p{
    font-size: 1rem;
  }
}

@media(max-width:280px){
  .about-text h1{
    font-size: 2.25rem;
  }
  .about-text h2{
    font-size: 1.25rem;
  }
  .about-text p{
    font-size: 0.85rem;
  }
}